#include <galprop/ErrorLogger.h>
#include "galpropy.hpp"

void bind_ErrorLogger(py::module_ &m)
{
    py::enum_<utl::ErrorLogger::SeverityLevel>(m, "SeverityLevel")
        .value("eDebug", utl::ErrorLogger::SeverityLevel::eDebug)
        .value("eInfo", utl::ErrorLogger::SeverityLevel::eInfo)
        .value("eWarning", utl::ErrorLogger::SeverityLevel::eWarning)
        .value("eError", utl::ErrorLogger::SeverityLevel::eError)
        .value("eFatal", utl::ErrorLogger::SeverityLevel::eFatal);
    py::enum_<utl::ErrorLogger::VerbosityLevel>(m, "VerbosityLevel")
        .value("eDefaultVerbosity", utl::ErrorLogger::VerbosityLevel::eDefaultVerbosity)
        .value("eTerse", utl::ErrorLogger::VerbosityLevel::eTerse)
        .value("eVerbose", utl::ErrorLogger::VerbosityLevel::eVerbose)
        .value("eSilent", utl::ErrorLogger::VerbosityLevel::eSilent);
}
