#include "galpropy.hpp"

void bind_Structures(py::module_ &m)
{
    py::class_<ParticleNumber>(m, "ParticleNumber")
        .def(py::init<int, int>(), "z"_a, "a"_a=ParticleNumber::AnyA)
        .def_readwrite("Z", &ParticleNumber::Z)
        .def_readwrite("A", &ParticleNumber::A)
        .def_readonly_static("AnyA", &ParticleNumber::AnyA)
        .def(py::self == py::self)
        .def(py::self != py::self)
        .def(py::self < py::self);
}
