#include <galprop/Galdef.h>
#include "galpropy.hpp"

void bind_Galdef(py::module_ &m)
{
    py::class_<Galdef>(m, "Galdef").def(py::init<>())
        .def_readwrite("z_min", &Galdef::z_min)
        .def_readwrite("z_max", &Galdef::z_max)
        .def_readwrite("dz", &Galdef::dz)
        .def_readwrite("r_min", &Galdef::r_min)
        .def_readwrite("r_max", &Galdef::r_max)
        .def_readwrite("primary_electrons", &Galdef::primary_electrons)
        .def_readwrite("electron_g_0", &Galdef::electron_g_0)
        .def_readwrite("electron_g_1", &Galdef::electron_g_1)
        .def_readwrite("electron_g_2", &Galdef::electron_g_2)
        .def_readwrite("electron_rigid_cutoff", &Galdef::electron_rigid_cutoff)
        .def_readwrite("electron_rigid_br0", &Galdef::electron_rigid_br0)
        .def_readwrite("electron_rigid_br", &Galdef::electron_rigid_br)
        .def_readwrite("electron_rigid_br2", &Galdef::electron_rigid_br2)
        .def_readwrite("max_Z", &Galdef::max_Z);
}
